Bug 507982 - Doxygen causes slightly different images on i386 and x86_64
Doxygen causes slightly different images on i386 and x86_64
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: graphviz (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Patrick Laughton
Fedora Extras Quality Assurance
:
: 502215 508506 (view as bug list)
Depends On:
Blocks: 716403
  Show dependency treegraph
 
Reported: 2009-06-24 19:53 EDT by Alex Butcher
Modified: 2011-06-24 06:31 EDT (History)
10 users (show)

See Also:
Fixed In Version: graphviz-2.26.3-2.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 716403 (view as bug list)
Environment:
Last Closed: 2011-03-04 04:58:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
structpoptContext__s__coll__graph.png on i586 (22.34 KB, image/png)
2009-06-25 07:44 EDT, Robert Scheck
no flags Details
structpoptContext__s__coll__graph.png on x86_64 (22.41 KB, image/png)
2009-06-25 07:45 EDT, Robert Scheck
no flags Details

  None (edit)
Description Alex Butcher 2009-06-24 19:53:22 EDT
Description of problem:

The x86_64 -devel package has files which conflict with those in the i586
package.

# comm -12 popt-devel-1.13-5.fc11.i586.rpm.txt popt-devel-1.13-5.fc11.x86_64.rpm.txt 
/usr/include/popt.h
/usr/share/doc/popt-devel-1.13
/usr/share/doc/popt-devel-1.13/html
/usr/share/doc/popt-devel-1.13/html/annotated.html
/usr/share/doc/popt-devel-1.13/html/bug.html
/usr/share/doc/popt-devel-1.13/html/classes.html
/usr/share/doc/popt-devel-1.13/html/deprecated.html
/usr/share/doc/popt-devel-1.13/html/doxygen.css
/usr/share/doc/popt-devel-1.13/html/doxygen.png
/usr/share/doc/popt-devel-1.13/html/files.html
/usr/share/doc/popt-devel-1.13/html/findme_8c.html
/usr/share/doc/popt-devel-1.13/html/findme_8c__incl.map
/usr/share/doc/popt-devel-1.13/html/findme_8c__incl.md5
/usr/share/doc/popt-devel-1.13/html/findme_8c__incl.png
/usr/share/doc/popt-devel-1.13/html/findme_8c-source.html
/usr/share/doc/popt-devel-1.13/html/findme_8h__dep__incl.map
/usr/share/doc/popt-devel-1.13/html/findme_8h__dep__incl.md5
/usr/share/doc/popt-devel-1.13/html/findme_8h__dep__incl.png
/usr/share/doc/popt-devel-1.13/html/findme_8h.html
/usr/share/doc/popt-devel-1.13/html/findme_8h-source.html
/usr/share/doc/popt-devel-1.13/html/functions.html
/usr/share/doc/popt-devel-1.13/html/functions_vars.html
/usr/share/doc/popt-devel-1.13/html/globals_defs.html
/usr/share/doc/popt-devel-1.13/html/globals_enum.html
/usr/share/doc/popt-devel-1.13/html/globals_eval.html
/usr/share/doc/popt-devel-1.13/html/globals_func.html
/usr/share/doc/popt-devel-1.13/html/globals.html
/usr/share/doc/popt-devel-1.13/html/globals_type.html
/usr/share/doc/popt-devel-1.13/html/globals_vars.html
/usr/share/doc/popt-devel-1.13/html/graph_legend.dot
/usr/share/doc/popt-devel-1.13/html/graph_legend.html
/usr/share/doc/popt-devel-1.13/html/graph_legend.png
/usr/share/doc/popt-devel-1.13/html/index.html
/usr/share/doc/popt-devel-1.13/html/pages.html
/usr/share/doc/popt-devel-1.13/html/popt_8c.html
/usr/share/doc/popt-devel-1.13/html/popt_8c__incl.map
/usr/share/doc/popt-devel-1.13/html/popt_8c__incl.md5
/usr/share/doc/popt-devel-1.13/html/popt_8c__incl.png
/usr/share/doc/popt-devel-1.13/html/popt_8c-source.html
/usr/share/doc/popt-devel-1.13/html/popt_8h__dep__incl.map
/usr/share/doc/popt-devel-1.13/html/popt_8h__dep__incl.md5
/usr/share/doc/popt-devel-1.13/html/popt_8h__dep__incl.png
/usr/share/doc/popt-devel-1.13/html/popt_8h.html
/usr/share/doc/popt-devel-1.13/html/popt_8h__incl.map
/usr/share/doc/popt-devel-1.13/html/popt_8h__incl.md5
/usr/share/doc/popt-devel-1.13/html/popt_8h__incl.png
/usr/share/doc/popt-devel-1.13/html/popt_8h-source.html
/usr/share/doc/popt-devel-1.13/html/poptconfig_8c.html
/usr/share/doc/popt-devel-1.13/html/poptconfig_8c__incl.map
/usr/share/doc/popt-devel-1.13/html/poptconfig_8c__incl.md5
/usr/share/doc/popt-devel-1.13/html/poptconfig_8c__incl.png
/usr/share/doc/popt-devel-1.13/html/poptconfig_8c-source.html
/usr/share/doc/popt-devel-1.13/html/popthelp_8c.html
/usr/share/doc/popt-devel-1.13/html/popthelp_8c__incl.map
/usr/share/doc/popt-devel-1.13/html/popthelp_8c__incl.md5
/usr/share/doc/popt-devel-1.13/html/popthelp_8c__incl.png
/usr/share/doc/popt-devel-1.13/html/popthelp_8c-source.html
/usr/share/doc/popt-devel-1.13/html/poptint_8h__dep__incl.map
/usr/share/doc/popt-devel-1.13/html/poptint_8h__dep__incl.md5
/usr/share/doc/popt-devel-1.13/html/poptint_8h__dep__incl.png
/usr/share/doc/popt-devel-1.13/html/poptint_8h.html
/usr/share/doc/popt-devel-1.13/html/poptint_8h-source.html
/usr/share/doc/popt-devel-1.13/html/poptparse_8c.html
/usr/share/doc/popt-devel-1.13/html/poptparse_8c__incl.map
/usr/share/doc/popt-devel-1.13/html/poptparse_8c__incl.md5
/usr/share/doc/popt-devel-1.13/html/poptparse_8c__incl.png
/usr/share/doc/popt-devel-1.13/html/poptparse_8c-source.html
/usr/share/doc/popt-devel-1.13/html/structcolumns__s.html
/usr/share/doc/popt-devel-1.13/html/structoptionStackEntry__coll__graph.map
/usr/share/doc/popt-devel-1.13/html/structoptionStackEntry__coll__graph.md5
/usr/share/doc/popt-devel-1.13/html/structoptionStackEntry__coll__graph.png
/usr/share/doc/popt-devel-1.13/html/structoptionStackEntry.html
/usr/share/doc/popt-devel-1.13/html/structpbm__set.html
/usr/share/doc/popt-devel-1.13/html/structpoptAlias.html
/usr/share/doc/popt-devel-1.13/html/structpoptContext__s__coll__graph.map
/usr/share/doc/popt-devel-1.13/html/structpoptContext__s__coll__graph.md5
/usr/share/doc/popt-devel-1.13/html/structpoptContext__s__coll__graph.png
/usr/share/doc/popt-devel-1.13/html/structpoptContext__s.html
/usr/share/doc/popt-devel-1.13/html/structpoptDone__s.html
/usr/share/doc/popt-devel-1.13/html/structpoptItem__s__coll__graph.map
/usr/share/doc/popt-devel-1.13/html/structpoptItem__s__coll__graph.md5
/usr/share/doc/popt-devel-1.13/html/structpoptItem__s__coll__graph.png
/usr/share/doc/popt-devel-1.13/html/structpoptItem__s.html
/usr/share/doc/popt-devel-1.13/html/structpoptOption.html
/usr/share/doc/popt-devel-1.13/html/system_8h__dep__incl.map
/usr/share/doc/popt-devel-1.13/html/system_8h__dep__incl.md5
/usr/share/doc/popt-devel-1.13/html/system_8h__dep__incl.png
/usr/share/doc/popt-devel-1.13/html/system_8h.html
/usr/share/doc/popt-devel-1.13/html/system_8h__incl.map
/usr/share/doc/popt-devel-1.13/html/system_8h__incl.md5
/usr/share/doc/popt-devel-1.13/html/system_8h__incl.png
/usr/share/doc/popt-devel-1.13/html/system_8h-source.html
/usr/share/doc/popt-devel-1.13/html/tab_b.gif
/usr/share/doc/popt-devel-1.13/html/tab_l.gif
/usr/share/doc/popt-devel-1.13/html/tab_r.gif
/usr/share/doc/popt-devel-1.13/html/tabs.css
/usr/share/doc/popt-devel-1.13/html/todo.html
/usr/share/doc/popt-devel-1.13/README
/usr/share/man/man3/popt.3.gz

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Attempt to install both packages on an x86_64 system
2.
3.
  
Actual results:

Files conflict

Expected results:

No conflicts

Additional info:
Comment 1 Robert Scheck 2009-06-25 07:40:46 EDT
$ ./bin/multilib-cmp.py popt-devel-1.13-5.fc12.i586.rpm popt-devel-1.13-5.fc12.x86_64.rpm 
File conflict for /usr/share/doc/popt-devel-1.13/html/structpoptContext__s__coll__graph.png in popt-devel-1.13-5.fc12
$
Comment 2 Robert Scheck 2009-06-25 07:44:41 EDT
Created attachment 349379 [details]
structpoptContext__s__coll__graph.png on i586
Comment 3 Robert Scheck 2009-06-25 07:45:18 EDT
Created attachment 349380 [details]
structpoptContext__s__coll__graph.png on x86_64
Comment 4 Robert Scheck 2009-06-25 09:08:08 EDT
Okay doxygen and/or graphviz guys, looks like this is similar as #432683 in
the past. Please fix the issue and let me know...
Comment 5 Robert Scheck 2009-06-28 01:59:26 EDT
*** Bug 508506 has been marked as a duplicate of this bug. ***
Comment 6 Robert Scheck 2009-08-14 08:55:43 EDT
*** Bug 517509 has been marked as a duplicate of this bug. ***
Comment 7 Robert Scheck 2009-08-14 08:57:09 EDT
*** Bug 502215 has been marked as a duplicate of this bug. ***
Comment 8 Robert Scheck 2009-08-14 08:58:46 EDT
Graphviz maintainer, please show some activity here...
Comment 9 Robert Scheck 2009-11-09 08:45:04 EST
*** Bug 533829 has been marked as a duplicate of this bug. ***
Comment 10 Philippe Troin 2010-02-15 17:27:12 EST
Still present in F12 with   popt-devel-1.13-6.fc12.i686
Comment 11 Robert Scheck 2010-02-15 18:28:05 EST
As far as I can see, graphviz-2.26.0-2.fc13 solves the issue, but only for
popt and not for libisofs.
Comment 12 Bug Zapper 2010-04-27 11:14:26 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Robert Scheck 2010-04-27 18:41:24 EDT
The issue still exists with Rawhide.
Comment 14 Bug Zapper 2010-07-30 06:41:28 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Fedora Update System 2011-01-21 11:03:30 EST
graphviz-2.26.3-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/graphviz-2.26.3-1.fc14
Comment 16 Fedora Update System 2011-01-21 11:05:09 EST
graphviz-2.26.3-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/graphviz-2.26.3-1.fc13
Comment 17 Fedora Update System 2011-01-21 18:08:24 EST
graphviz-2.26.3-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update graphviz'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/graphviz-2.26.3-1.fc14
Comment 18 Fedora Update System 2011-02-22 11:51:18 EST
graphviz-2.26.3-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/graphviz-2.26.3-2.fc14
Comment 19 Fedora Update System 2011-02-22 11:59:14 EST
graphviz-2.26.3-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/graphviz-2.26.3-2.fc13
Comment 20 Fedora Update System 2011-03-04 04:57:34 EST
graphviz-2.26.3-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2011-03-04 05:04:55 EST
graphviz-2.26.3-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.